		$(document).ready(function(){
			load(1);
		});

		// Event Click Imprimir Factura
		$('#btn_imprimir').click(function() {
			// Get all value of selected checks
			let checked = [];

			$.each($("input[name='column-check-factura']:checked"), function() {
				checked.push($(this).val());
			})

			if(checked.length == 0){
				alert('Es necesario seleccionar al menos una factura!');
				return;
			}
			
			let url_zip = '';
			let url = '';

			if(checked.length == 1)
			{
				url = './ajax/facturas/imprimir_factura.php';
			}

			if(checked.length > 1){
				url = './ajax/facturas/imprimir_facturas.php';
			}


			//console.log(checked); return;

			// Peticion ajax para realizar las consultar de las facturas selecciondas
			$.ajax({
				url: url,
				type: 'POST',
				data: { 'facturas':  checked },
				dataType: 'JSON',
				success: function(response) {
					
					if(response.opcion == 1)
					{
						//console.log('Opcion = '+response.opcion);
						var x=new XMLHttpRequest();
						x.open("GET", response.zippath, true);
						x.responseType = 'blob';
						x.onload=function(e){download(x.response, "BSM" + response.numero_factura + ".pdf", "aplication/pdf" ); }
						x.send();
					}
					else
					{
						//console.log('Opcion = '+response.opcion);
						url_zip = response.zippath;
						var jslink = document.createElement('a');
						jslink.target = '_blank';
						jslink.href = url_zip;
						document.body.appendChild(jslink); // This line is must for Firefox
						jslink.click();
						jslink.remove();
					}
				},
				error: function(error) {
					console.log(error);
				},
				complete: function(){
					$.ajax({
						url: './ajax/delete_files.php',
						type: 'POST',
						success: function(response){
							if(response == 1)
								alert("Descargado correctamente!!");
						}
					});
				}
			});
			
		});

		function load(page){
			var q= $("#q").val();
			$("#loader").fadeIn('slow');
			$.ajax({
				url:'./ajax/buscar_facturas_bonificadas.php?action=ajax&page='+page+'&q='+q,
				 beforeSend: function(objeto){
				 $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
			  },
				success:function(data){
					$(".outer_div").html(data).fadeIn('slow');
					$('#loader').html('');
					$('[data-toggle="tooltip"]').tooltip({html:true}); 
					
				}
			})
		}

	
		
		function eliminar (id)
		{
			var q= $("#q").val();
			if (confirm("Realmente deseas cancelar la bonificacion")){	
				$.ajax({
					type: "GET",
					url: "./ajax/buscar_facturas.php",
					data: "id="+id,"q":q,
					beforeSend: function(objeto){
						$("#resultados").html("Mensaje: Cargando...");
					},
					success: function(datos){
						$("#resultados").html(datos);
						load(1);
					}
				});
			}
		}
		
		function imprimir_factura(id_factura){
			VentanaCentrada('./pdf/documentos/ver_factura.php?id_factura='+id_factura,'Factura','','1024','768','true');
		}
